[package]
name = "reminder-rs"
version = "1.6.42"
authors = ["Jude Southworth <judesouthworth@pm.me>"]
edition = "2021"
license = "AGPL-3.0 only"
description = "Reminder Bot for Discord, now in Rust"

[dependencies]
poise = "0.5"
dotenv = "0.15"
tokio = { version = "1", features = ["process", "full"] }
reqwest = "0.11"
lazy-regex = "3.0.2"
regex = "1.9"
log = "0.4"
env_logger = "0.10"
chrono = "0.4"
chrono-tz = { version = "0.8", features = ["serde"] }
lazy_static = "1.4"
num-integer = "0.1"
serde = "1.0"
serde_json = "1.0"
serde_repr = "0.1"
rmp-serde = "1.1"
rand = "0.8"
levenshtein = "1.0"
sqlx = { version = "0.7", features = ["runtime-tokio-rustls", "macros", "mysql", "bigdecimal", "chrono", "migrate"]}
base64 = "0.21.0"

[dependencies.postman]
path = "postman"

[dependencies.reminder_web]
path = "web"

[package.metadata.deb]
depends = "$auto, python3-dateparser (>= 1.0.0)"
suggests = "mysql-server-8.0, nginx"
maintainer-scripts = "debian"
assets = [
    ["target/release/reminder-rs", "usr/bin/reminder-rs", "755"],
    ["conf/default.env", "etc/reminder-rs/config.env", "600"],
    ["conf/Rocket.toml", "etc/reminder-rs/Rocket.toml", "600"],
    ["web/static/**/*", "lib/reminder-rs/static", "644"],
    ["web/templates/**/*", "lib/reminder-rs/templates", "644"],
    ["healthcheck", "lib/reminder-rs/healthcheck", "755"],
    ["cron.d/reminder_health", "etc/cron.d/reminder_health", "644"],
#    ["nginx/reminder-rs", "etc/nginx/sites-available/reminder-rs", "755"]
]
conf-files = [
    "/etc/reminder-rs/config.env",
    "/etc/reminder-rs/Rocket.toml",
]

[package.metadata.deb.systemd-units]
unit-scripts = "systemd"
start = false
